## phonopy 2.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0007 NEW)

project(phonopy C)
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
set(CMAKE_C_FLAGS_DEBUG "-g -DTHMWARNING -DMATWARNING -DKPTWARNING")
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)
message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

include(GNUInstallDirs)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)


# Version numbers
file(READ ${PROJECT_SOURCE_DIR}/phonopy/version.py version_file)
string(REGEX MATCH "__version__.*([0-9]+)[.]([0-9]+)[.]([0-9]+)" phonopy_version ${version_file})
set(phonopy_major_version ${CMAKE_MATCH_1})
set(phonopy_minor_version ${CMAKE_MATCH_2})
set(phonopy_micro_version ${CMAKE_MATCH_3})
set(serial "${phonopy_major_version}.${phonopy_minor_version}.${phonopy_micro_version}")
set(soserial "1")

# Source code
include_directories("${PROJECT_SOURCE_DIR}/c")
set(SOURCES
  ${PROJECT_SOURCE_DIR}/c/derivative_dynmat.c
  ${PROJECT_SOURCE_DIR}/c/dynmat.c
  ${PROJECT_SOURCE_DIR}/c/phonopy.c
  ${PROJECT_SOURCE_DIR}/c/rgrid.c
  ${PROJECT_SOURCE_DIR}/c/tetrahedron_method.c)

# Shared library
add_library(phpy SHARED ${SOURCES})

if(NOT MSVC)
  target_link_libraries(phpy m)
endif()
set_property(TARGET phpy PROPERTY VERSION ${serial})
set_property(TARGET phpy PROPERTY SOVERSION ${soserial})
install(TARGETS phpy LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

# Static link library
add_library(phpy_static STATIC ${SOURCES})
set_property(TARGET phpy_static PROPERTY VERSION ${serial})
set_property(TARGET phpy_static PROPERTY SOVERSION ${soserial})
set_property(TARGET phpy_static PROPERTY OUTPUT_NAME phpy)
install(TARGETS phpy_static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

# Header file
install(FILES ${PROJECT_SOURCE_DIR}/c/phonopy.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
phonopy (2.13.1-1) unstable; urgency=medium

  * New upstream version 2.13.1
  * Updating debian/copyright.
  * Updating manpages.

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Feb 2022 02:11:06 -0500

phonopy (2.12.0-2) unstable; urgency=medium

  [ Andrius Merkys ]
  * python3-phonopy Depends on python3-scipy (Closes: #1000466).

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Nov 2021 04:16:43 -0500

phonopy (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * Build depends python3-all:any -> python3:any.
  * Using dh_auto_test to run pytest.
  * Updating manpages.
  * Adding autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Nov 2021 07:46:54 -0500

phonopy (2.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #996196)

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Oct 2021 10:15:13 -0400

=== debian/control ===
Source: phonopy
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-spglib <!nocheck>,
 python3-yaml <!nocheck>,
 python3:any,
Standards-Version: 4.6.0
Section: libs
Homepage: https://phonopy.github.io/phonopy/
Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
Rules-Requires-Root: no

Package: libphpy-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libphpy1 (= ${binary:Version}),
 ${misc:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (development files)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This library contains development files.

Package: libphpy1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (shared library)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains the shared library.

Package: python3-phonopy
Section: python
Architecture: any
Depends:
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (Python 3)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = phonopy

%:
	dh $@ --buildsystem cmake --with python3

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --buildsystem=pybuild -- --test-pytest

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild
	rm -rf phonopy.egg-info

# Manpages should be regenerated after importing, building and installing
# each new upstream release. This has to be done manually, as opposed to
# build time, due to possibly cross-building.

SCRIPTS  = $(wildcard scripts/*)
MANPAGES = ${SCRIPTS:scripts/%=debian/man/%.1}

.PHONY: manpages

manpages: ${MANPAGES}

debian/man/%.1:
	help2man $* --version-string $(DEB_VERSION_UPSTREAM) --no-info > $@

## phonopy 2.15.1

=== debian/changelog ===
phonopy (2.15.1-1) unstable; urgency=medium

  * New upstream version 2.15.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 30 May 2022 04:11:43 -0400

phonopy (2.15.0-1) unstable; urgency=medium

  * New upstream version 2.15.0
  * Update manpages.

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 May 2022 02:14:00 -0400

phonopy (2.14.0-1) unstable; urgency=medium

  * New upstream version 2.14.0

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Apr 2022 04:27:56 -0400

## phonopy 2.17.0

=== debian/changelog ===
phonopy (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0

 -- Andrius Merkys <merkys@debian.org>  Sun, 11 Dec 2022 02:46:14 -0500

phonopy (2.16.3-1) unstable; urgency=medium

  * New upstream version 2.16.3

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Oct 2022 02:05:07 -0400

phonopy (2.16.2-1) unstable; urgency=medium

  * New upstream version 2.16.2
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Sep 2022 08:39:49 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
+ python3-setuptools,
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
  python3:any,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy

## phonopy 2.17.1

=== requirements.txt ===
numpy >= 1.15.0
PyYAML
matplotlib >= 2.2.2
h5py
spglib

=== debian/changelog ===
phonopy (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1
  * Update standards version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 03 Jan 2023 09:24:03 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
  python3:any,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --buildsystem cmake --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -DPHONOPY=ON -DBUILD_SHARED_LIBRARIES=ON
 	dh_auto_configure --buildsystem=pybuild
 
 override_dh_auto_build:

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-phonopy,
 python3-pytest,

## phonopy 2.21.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0007 NEW)

project(phonopy C)
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
set(CMAKE_C_FLAGS_DEBUG "-g -DTHMWARNING")
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)
message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
message(STATUS "CMAKE_SYSTEM_PREFIX_PATH: ${CMAKE_SYSTEM_PREFIX_PATH}")

include(GNUInstallDirs)
# set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Version numbers
file(READ ${PROJECT_SOURCE_DIR}/phonopy/version.py version_file)
string(REGEX MATCH "__version__.*([0-9]+)[.]([0-9]+)[.]([0-9]+)" phono3py_version ${version_file})
set(phonopy_major_version ${CMAKE_MATCH_1})
set(phonopy_minor_version ${CMAKE_MATCH_2})
set(phonopy_micro_version ${CMAKE_MATCH_3})
set(serial "${phonopy_major_version}.${phonopy_minor_version}.${phonopy_micro_version}")
set(soserial "1")

find_package(OpenMP)
if (OpenMP_FOUND)
  message(STATUS "OpenMP libs: ${OpenMP_C_LIBRARIES}")
  message(STATUS "OpenMP flags: ${OpenMP_C_FLAGS}")
endif()

if (PHONOPY)
  set(SOURCES_PHONOPY
    ${PROJECT_SOURCE_DIR}/c/phonopy.c
    ${PROJECT_SOURCE_DIR}/c/dynmat.c
    ${PROJECT_SOURCE_DIR}/c/derivative_dynmat.c
    ${PROJECT_SOURCE_DIR}/c/rgrid.c
    ${PROJECT_SOURCE_DIR}/c/tetrahedron_method.c)

  if (BUILD_SHARED_LIBRARIES)
  # Shared library
    add_library(phpy SHARED ${SOURCES_PHONOPY})
    if (OpenMP_FOUND)
      target_link_libraries(phpy m ${OpenMP_C_LIBRARIES})
      target_compile_options(phpy PRIVATE ${OpenMP_C_FLAGS})
    else()
      target_link_libraries(phpy m)
    endif()
    target_include_directories(phpy PRIVATE ${MY_INCLUDES})
    target_compile_definitions(phpy PRIVATE THM_EPSILON=1e-10)
    set_property(TARGET phpy PROPERTY VERSION ${serial})
    set_property(TARGET phpy PROPERTY SOVERSION ${soserial})
    install(TARGETS phpy LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
  endif()

  # Static link library
  add_library(phpy_static STATIC ${SOURCES_PHONOPY})
  if (OpenMP_FOUND)
    target_link_libraries(phpy_static m ${OpenMP_C_LIBRARIES})
    target_compile_options(phpy_static PRIVATE ${OpenMP_C_FLAGS})
  else()
    target_link_libraries(phpy_static m)
  endif()
  target_include_directories(phpy_static PRIVATE ${MY_INCLUDES})
  target_compile_definitions(phpy_static PRIVATE THM_EPSILON=1e-10)
  set_property(TARGET phpy_static PROPERTY VERSION ${serial})
  set_property(TARGET phpy_static PROPERTY SOVERSION ${soserial})
  set_property(TARGET phpy_static PROPERTY OUTPUT_NAME phpy)
  install(TARGETS phpy_static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

  # Header file
  install(FILES ${PROJECT_SOURCE_DIR}/c/phonopy.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
endif()

=== requirements.txt ===
numpy >= 1.17.0
PyYAML >= 5.3
matplotlib >= 2.2.2
h5py >= 3.0
spglib >= 2.0

=== debian/changelog ===
phonopy (2.21.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:37:38 +0000

phonopy (2.21.2-1) unstable; urgency=medium

  * New upstream version 2.21.2
  * Build for all supported Python versions.

 -- Andrius Merkys <merkys@debian.org>  Wed, 21 Feb 2024 03:18:21 -0500

phonopy (2.21.0-1) unstable; urgency=medium

  * New upstream version 2.21.0
  * Executables depend on python3-spglib.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 04:55:16 -0500

phonopy (2.20.0-1) unstable; urgency=medium

  * New upstream version 2.20.0
  * Update debian/copyright.
  * Simplify debian/rules.
  * Switch to Testsuite: autopkgtest-pkg-pybuild.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Sep 2023 01:59:53 -0400

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-python,
- python3-dev,
+ dh-sequence-python3,
+ python3-all-dev,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-spglib <!nocheck>,
  python3-yaml <!nocheck>,
- python3:any,
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://phonopy.github.io/phonopy/
 Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
 Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: libphpy-dev
 Section: libdevel
@@ -52,6 +52,7 @@
 Architecture: any
 Depends:
  python3-scipy,
+ python3-spglib,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,26 +5,22 @@
 export PYBUILD_NAME = phonopy
 
 %:
-	dh $@ --buildsystem cmake --with python3
+	dh $@ --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DPHONOPY=ON -DBUILD_SHARED_LIBRARIES=ON
 	dh_auto_configure --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
 
-override_dh_auto_test:
-	dh_auto_test
+execute_after_dh_auto_test:
 	dh_auto_test --buildsystem=pybuild -- --test-pytest
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
 	rm -rf phonopy.egg-info

## phonopy 2.23.1

=== debian/changelog ===
phonopy (2.23.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:40:46 +0100

phonopy (2.23.1-1) unstable; urgency=medium

  * New upstream version 2.23.1

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 May 2024 01:55:12 -0400

phonopy (2.22.1-1) unstable; urgency=medium

  * New upstream version 2.22.1

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Apr 2024 04:00:04 -0400

## phonopy 2.35.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)

if(NOT SKBUILD_PROJECT_NAME)
    set(SKBUILD_PROJECT_NAME phonopy)
endif()

if(PHONOPY_LIBS)
    project(phonopy LANGUAGES C)
    set(CMAKE_MACOSX_RPATH 1)
    set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
    set(CMAKE_C_FLAGS_DEBUG "-g -DTHMWARNING")
    include(GNUInstallDirs)

    # Version numbers
    file(READ ${PROJECT_SOURCE_DIR}/phonopy/version.py VERSION_FILE)
    string(REGEX MATCH "__version__.*([0-9]+)[.]([0-9]+)[.]([0-9]+)"
                 phono3py_version ${VERSION_FILE})
    set(PHONOPY_MAJOR_VERSION ${CMAKE_MATCH_1})
    set(PHONOPY_MINOR_VERSION ${CMAKE_MATCH_2})
    set(PHONOPY_MICRO_VERSION ${CMAKE_MATCH_3})
    set(SERIAL
        "${PHONOPY_MAJOR_VERSION}.${PHONOPY_MINOR_VERSION}.${PHONOPY_MICRO_VERSION}")
    set(SOSERIAL "1")
else()
    project(${SKBUILD_PROJECT_NAME})
    set(DEV_MODULE Development.Module)
    find_package(
        Python 3.8 REQUIRED
        COMPONENTS Interpreter ${DEV_MODULE}
        OPTIONAL_COMPONENTS Development.SABIModule)
endif()

cmake_policy(SET CMP0007 NEW)

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE
        Release
        CACHE STRING "Choose the type of build." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
                                                 "MinSizeRel" "RelWithDebInfo")
endif()

option(PHONOPY_USE_OMP "Build with OpenMP support" ON)

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
message(STATUS "CMAKE_SYSTEM_PREFIX_PATH: ${CMAKE_SYSTEM_PREFIX_PATH}")

if(PHONOPY_USE_OMP)
    find_package(OpenMP)

    if(OpenMP_FOUND)
        message(STATUS "OpenMP libs: ${OpenMP_C_LIBRARIES}")
        message(STATUS "OpenMP flags: ${OpenMP_C_FLAGS}")
    endif()
else()
    message(STATUS "OpenMP is not used.")
    set(OpenMP_FOUND OFF) # cmake-lint: disable=C0103
endif()

set(SOURCES_PHONOPY
    ${PROJECT_SOURCE_DIR}/c/phonopy.c ${PROJECT_SOURCE_DIR}/c/dynmat.c
    ${PROJECT_SOURCE_DIR}/c/derivative_dynmat.c ${PROJECT_SOURCE_DIR}/c/rgrid.c
    ${PROJECT_SOURCE_DIR}/c/tetrahedron_method.c)

if(BUILD_SHARED_LIBS)
    # Shared library
    add_library(phonopy_libs SHARED ${SOURCES_PHONOPY})

    if(OpenMP_FOUND)
        target_link_libraries(phonopy_libs PRIVATE OpenMP::OpenMP_C)
    endif()

    target_compile_definitions(phonopy_libs PRIVATE THM_EPSILON=1e-10)
else()
    # Static link library
    add_library(phonopy_libs STATIC ${SOURCES_PHONOPY})

    if(OpenMP_FOUND)
        target_link_libraries(phonopy_libs PRIVATE OpenMP::OpenMP_C)
    endif()

    target_compile_definitions(phonopy_libs PRIVATE THM_EPSILON=1e-10)
endif()

if(PHONOPY_LIBS)
    install(FILES ${PROJECT_SOURCE_DIR}/c/phonopy.h
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

    if(BUILD_SHARED_LIBS)
        install(TARGETS phonopy_libs LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
        set_property(TARGET phonopy_libs PROPERTY VERSION ${SERIAL})
        set_property(TARGET phonopy_libs PROPERTY SOVERSION ${SOSERIAL})
    else()
        install(TARGETS phonopy_libs ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
        set_property(TARGET phonopy_libs PROPERTY VERSION ${SERIAL})
        set_property(TARGET phonopy_libs PROPERTY SOVERSION ${SOSERIAL})
        set_property(TARGET phonopy_libs PROPERTY OUTPUT_NAME phonopy_libs)
    endif()
else()
    set_target_properties(phonopy_libs PROPERTIES POSITION_INDEPENDENT_CODE ON)

    execute_process(
        COMMAND "${Python_EXECUTABLE}" -m nanobind --cmake_dir
        OUTPUT_STRIP_TRAILING_WHITESPACE
        OUTPUT_VARIABLE NB_DIR)
    list(APPEND CMAKE_PREFIX_PATH "${NB_DIR}")
    find_package(nanobind CONFIG REQUIRED)
    nanobind_add_module(_phonopy STABLE_ABI ${PROJECT_SOURCE_DIR}/c/phonopy.h
                        ${PROJECT_SOURCE_DIR}/c/_phonopy.cpp)

    if(OpenMP_FOUND)
        target_link_libraries(_phonopy PRIVATE phonopy_libs OpenMP::OpenMP_C)
    else()
        target_link_libraries(_phonopy PRIVATE phonopy_libs)
    endif()

    target_compile_definitions(_phonopy PRIVATE THM_EPSILON=1e-10)
    install(TARGETS _phonopy LIBRARY DESTINATION ${SKBUILD_PROJECT_NAME})
endif()

=== debian/changelog ===
phonopy (2.35.0-1) unstable; urgency=medium

  * New upstream version 2.35.0 (Closes: #1094728)
  * Bump copyright years.
  * Switch buildsystem to pybuild.
  * Drop the shared library which is not built by default anymore.

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Feb 2025 03:47:28 -0500

=== debian/control ===
Source: phonopy
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 nanobind-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scikit-build-core,
 python3-scipy <!nocheck>,
 python3-setuptools-scm,
 python3-spglib <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.6.2
Section: libs
Homepage: https://phonopy.github.io/phonopy/
Vcs-Browser: https://salsa.debian.org/debichem-team/phonopy
Vcs-Git: https://salsa.debian.org/debichem-team/phonopy.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-phonopy
Section: python
Architecture: any
Depends:
 python3-scipy,
 python3-spglib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: phonon calculations at harmonic and quasi-harmonic levels (Python 3)
 Phonopy is an open source package for phonon calculations at harmonic and
 quasi-harmonic levels.
 .
 This package contains Python 3 module.

## phonopy 2.38.0

=== debian/changelog ===
phonopy (2.38.0-2) unstable; urgency=medium

  * Team upload.
  [ Sergio Durigan Junior ]
  * d/p/pyproject.toml.path: Remove unnecessary patch. (Closes: #1102770)

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2025 23:44:00 +0200

phonopy (2.38.0-1) unstable; urgency=medium

  * New upstream version 2.38.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Mar 2025 02:42:19 -0400

## phonopy 2.38.1

=== debian/changelog ===
phonopy (2.38.1-1) unstable; urgency=medium

  * New upstream version 2.38.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 17 Apr 2025 00:28:00 -0400

## phonopy 2.38.2

=== debian/changelog ===
phonopy (2.38.2-1) unstable; urgency=medium

  * New upstream version 2.38.2

 -- Andrius Merkys <merkys@debian.org>  Fri, 09 May 2025 02:42:27 -0400

## phonopy 2.43.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
     # Version numbers
     file(READ ${PROJECT_SOURCE_DIR}/phonopy/version.py VERSION_FILE)
-    string(REGEX MATCH "__version__.*([0-9]+)[.]([0-9]+)[.]([0-9]+)"
-                 phono3py_version ${VERSION_FILE})
+    string(REGEX MATCH "__version__.*([0-9]+)[.]([0-9]+)[.]([0-9]+)" phonopy_version
+                 ${VERSION_FILE})
     set(PHONOPY_MAJOR_VERSION ${CMAKE_MATCH_1})
     set(PHONOPY_MINOR_VERSION ${CMAKE_MATCH_2})
     set(PHONOPY_MICRO_VERSION ${CMAKE_MATCH_3})
@@ -25,7 +25,7 @@
     project(${SKBUILD_PROJECT_NAME})
     set(DEV_MODULE Development.Module)
     find_package(
-        Python 3.8 REQUIRED
+        Python 3.9 REQUIRED
         COMPONENTS Interpreter ${DEV_MODULE}
         OPTIONAL_COMPONENTS Development.SABIModule)
 endif()

=== requirements.txt ===
numpy >= 1.17.0
PyYAML >= 5.3
matplotlib >= 2.2.2
h5py >= 3.0
spglib >= 2.3

=== debian/changelog ===
phonopy (2.43.2-1) unstable; urgency=medium

  * New upstream version 2.43.2

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Oct 2025 02:34:26 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-scipy <!nocheck>,
  python3-setuptools-scm,
  python3-spglib <!nocheck>,
+ python3-symfc <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = phonopy

export PYBUILD_TEST_ARGS = -k 'not test_symfc_cutoff'

%:
	dh $@ --buildsystem pybuild

# Manpages should be regenerated after importing, building and installing
# each new upstream release. This has to be done manually, as opposed to
# build time, due to possibly cross-building.

SCRIPTS  = $(wildcard phonopy/scripts/*.py)
MANPAGES = $(subst _,-,$(SCRIPTS:phonopy/scripts/%.py=debian/man/%.1))

.PHONY: manpages

manpages: $(MANPAGES)

debian/man/%.1:
	help2man $* --version-string $(DEB_VERSION_UPSTREAM) --no-info > $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%phonopy-$1.tar.gz%" \
 https://github.com/phonopy/phonopy/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## phonopy 2.44.0

=== debian/changelog ===
phonopy (2.44.0-1) unstable; urgency=medium

  * New upstream version 2.44.0

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Nov 2025 03:48:26 -0500

## phonopy 2.47.1

=== debian/changelog ===
phonopy (2.47.1-2) unstable; urgency=medium

  * Add two missing test dependencies (Closes: #1125654)

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 Jan 2026 03:31:06 -0500

phonopy (2.47.1-1) unstable; urgency=medium

  * New upstream version 2.47.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 15 Jan 2026 08:37:04 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
  nanobind-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
+ python3-h5py <!nocheck>,
+ python3-matplotlib <!nocheck>,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scikit-build-core,
  python3-scipy <!nocheck>,
  python3-setuptools-scm,
- python3-spglib <!nocheck>,
+ python3-spglib (>= 2.7.0) <!nocheck>,
  python3-symfc <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.6.2
@@ -31,7 +33,7 @@
 Architecture: any
 Depends:
  python3-scipy,
- python3-spglib,
+ python3-spglib (>= 2.7.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## phonopy 2.48.0

=== requirements.txt ===
numpy >= 1.17.0
PyYAML >= 5.3
matplotlib >= 2.2.2
h5py >= 3.0
spglib >= 2.5

=== debian/changelog ===
phonopy (2.48.0-1) unstable; urgency=medium

  * New upstream version 2.48.0
  * Replace dependency on nanobind-dev with python3-nanobind.

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Feb 2026 09:49:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
- nanobind-dev,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py <!nocheck>,
  python3-matplotlib <!nocheck>,
+ python3-nanobind,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scikit-build-core,
